perl-CGI-Application-Plugin-RateLimit-1.0-alt1_27.noarch.rpm


Advertisement

Description

perl-CGI-Application-Plugin-RateLimit - Limits runmode call rate per user

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-CGI-Application-Plugin-RateLimit-1.0-alt1_27.noarch.rpm
Package name perl-CGI-Application-Plugin-RateLimit
Package version 1.0
Package release alt1_27
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 16.68 KB
Installed size 16.68 KB
This module provides protection against a user calling a runmode too
frequently. A typical use-case might be a contact form that sends email.
You'd like to allow your users to send you messages, but thousands of
messages from a single user would be a problem.

Alternatives

Package Version Architecture Repository
perl-CGI-Application-Plugin-RateLimit - - -

Requires

Name Value
/usr/share/perl5 -
perl(CGI/Application.pm) -
perl(Class/Accessor/Fast.pm) -
perl(base.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(CGI/Application/Plugin/RateLimit.pm) = 1.0
perl-CGI-Application-Plugin-RateLimit = 1.0-alt1_27

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-CGI-Application-Plugin-RateLimit-1.0-alt1_27.noarch.rpm
Source Package perl-CGI-Application-Plugin-RateLimit-1.0-alt1_27.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-CGI-Application-Plugin-RateLimit rpm package:
    # sudo apt-get install perl-CGI-Application-Plugin-RateLimit

Files

Path
/usr/share/doc/perl-CGI-Application-Plugin-RateLimit-1.0/Changes
/usr/share/doc/perl-CGI-Application-Plugin-RateLimit-1.0/README
/usr/share/perl5/CGI/
/usr/share/perl5/CGI/Application/
/usr/share/perl5/CGI/Application/Plugin/RateLimit.pm

See Also

Package Description
perl-CGI-Application-Plugin-Redirect-1.00-alt1_28.noarch.rpm Easy external redirects in CGI::Application
perl-CGI-Application-Plugin-RemoteIP-0.1-alt1.noarch.rpm Unified remote IP-detection for CGI::Application-based applications
perl-CGI-Application-Plugin-RequireSSL-0.04-alt1_23.noarch.rpm Force SSL in specified pages or modules
perl-CGI-Application-Plugin-Routes-1.02-alt1.noarch.rpm Routes-style dispatching for CGI::Application
perl-CGI-Application-Plugin-RunmodeDeclare-0.10-alt1.noarch.rpm Declare cgiapp runmodes with keywords
perl-CGI-Application-Plugin-Session-1.05-alt1_16.noarch.rpm Add CGI::Session support to CGI::Application
perl-CGI-Application-Plugin-Stash-0.01-alt1.noarch.rpm perl module CGI-Application-Plugin-Stash
perl-CGI-Application-Plugin-Stream-2.12-alt1_14.noarch.rpm CGI::Application Plugin for streaming files
perl-CGI-Application-Plugin-SuperForm-0.5-alt1_27.noarch.rpm Create sticky forms with HTML::SuperForm
perl-CGI-Application-Plugin-TT-1.05-alt1_27.noarch.rpm Add Template Toolkit support to CGI::Application
perl-CGI-Application-Plugin-TT-Any-0.110080-alt1.noarch.rpm load CGI::Application::Plugin::TT with any TT-compatible class
perl-CGI-Application-Plugin-TT-LastModified-1.02-alt1.noarch.rpm Set "Last-Modified" header based on TT template
perl-CGI-Application-Plugin-TemplateRunner-0.04-alt1.noarch.rpm perl module CGI-Application-Plugin-TemplateRunner
perl-CGI-Application-Plugin-Throttle-0.6-alt1.noarch.rpm Rate-Limiting for CGI::Application-based applications, using Redis for persistence
perl-CGI-Application-Plugin-Thumbnail-1.05-alt1.noarch.rpm perl module CGI-Application-Plugin-Thumbnail
Advertisement
Advertisement